RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | List of all members
DeltaVSoft.RCFProto.PfxCertificate Class Reference

Use this class to load a certificate from .pfx format. Only applicable to Schannel. More...

Inheritance diagram for DeltaVSoft.RCFProto.PfxCertificate:

## Public Member Functions
override void | Dispose ()
| PfxCertificate (string pathToCert, string password, string certName)
| Loads a certificate from a .pfx file, using the given file path, password and certificate name. More...
void | AddToStore (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore)
| Adds the certificate to the given Windows certificate store. More...
Public Member Functions inherited from DeltaVSoft.RCFProto.Win32Certificate
override void | Dispose ()
string | GetCertificateName ()
| Gets the name of the certificate. More...
string | GetIssuerName ()
| Gets the name of the issuer of the certificate. More...
void | ExportToPfx (string pfxFilePath)
| Exports the certificate in PFX format, to the given file path. More...
Win32Certificate | FindRootCertificate (Win32CertificateLocation certStoreLocation, Win32CertificateStore certStore)
| Attempts to locate a root certificate for this certificate, in the given certificate store. Returns the root certificate if found, and otherwise null. More...

## Detailed Description

Use this class to load a certificate from .pfx format. Only applicable to Schannel.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.PfxCertificate.PfxCertificate | ( | string | pathToCert,
|  | string | password,
|  | string | certName
| ) |  |

Loads a certificate from a .pfx file, using the given file path, password and certificate name.

## Member Function Documentation

void DeltaVSoft.RCFProto.PfxCertificate.AddToStore | ( | Win32CertificateLocation | certStoreLocation,
|  | Win32CertificateStore | certStore
| ) |  |

Adds the certificate to the given Windows certificate store.

override void DeltaVSoft.RCFProto.PfxCertificate.Dispose | ( |  | ) |
| virtual

Reimplemented from DeltaVSoft.RCFProto.Certificate.

The documentation for this class was generated from the following file:

- PfxCertificate.cs